Page MenuHomePhabricator

elementary: do not use list<> in Efl.Ui.Focus_Manager.
ClosedPublic

Authored by cedric on Jan 8 2020, 10:41 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jan 8 2020, 10:41 AM
cedric requested review of this revision.Jan 8 2020, 10:41 AM
q66 resigned from this revision.Jan 9 2020, 6:37 AM

this looks fine to me but better reviewed by @bu5hm4n

Mhm the only user of that was clouseau ... But that one does not even compile after renames and eolian changes, what should we do ?

Mhm the only user of that was clouseau ... But that one does not even compile after renames and eolian changes, what should we do ?

Maybe work with the assumption that maybe someone at some point might maybe make clouseau work again and so still provide the API for it to be revived. It doesn't seems to be much change to adapt software that would be using this code.

yeah, probably true.

bu5hm4n accepted this revision.Jan 16 2020, 12:29 AM
This revision is now accepted and ready to land.Jan 16 2020, 12:29 AM
bu5hm4n added inline comments.Jan 16 2020, 12:30 AM
src/lib/elementary/efl_ui_focus_manager_calc.c
1861

One last question, (I cannot take back the accepted right now): would you use the processed_iterator if we land that before ?

cedric added inline comments.Jan 16 2020, 8:06 AM
src/lib/elementary/efl_ui_focus_manager_calc.c
1861

Most likely yes.

Closed by commit rEFLae8b9123286a: elementary: do not use list<> in Efl.Ui.Focus_Manager. (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 29 2020, 12:53 AM
This revision was automatically updated to reflect the committed changes.